---
- name: Nginx deinstall Apache
  ansible.builtin.package:
    name: "apache2"
    state: absent
  when: nginx_deinst_apache
  
- name: Nginx install package
  ansible.builtin.package:
    name: "{{ __nginx_package_name }}{{ nginx_package_vers }}"
    state: "{{ nginx_package_state }}"
    update_cache: true
  notify: Reload nginx  

- name: Nginx find all config
  ansible.builtin.find:
    paths: "{{ __nginx_sites.enabled }}"
    patterns: "*"
    file_type: any
  register: files_to_delete
    
- name: Nginx delete config
  ansible.builtin.file:
    path: "{{ item.path }}"
    state: absent
  loop: "{{ files_to_delete.files }}"
  when: files_to_delete.files
    
- name: Nginx add config
  ansible.builtin.template:
    src: "{{ __nginx_config_template }}"
    dest: "{{ __nginx_config_dest }}"
    mode: "{{ nginx_config_mode }}"
    
- name: Nginx link site to enabled
  ansible.builtin.file:
    src: "{{ __nginx_sites.available }}/{{ nginx_config_name }}"
    dest: "{{ __nginx_sites.enabled }}/{{ nginx_config_name }}"
    state: link
    mode: "{{ nginx_config_mode }}"
  notify:
    - Check nginx config
    - Restart nginx
    
